Bug 35382 - Update to OpenJDK7
Update to OpenJDK7
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-16 11:03 CEST by Moritz Muehlenhoff
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-07-16 11:03:11 CEST
univention-java should be updated to openjdk-7

We should ensure that only openjdk-7 ends up in unmaintained (wheezy contains both 6 and 7 and having both would be a huge maintenance burden).
Comment 1 Stefan Gohmann univentionstaff 2014-10-06 19:45:18 CEST
(In reply to Moritz Muehlenhoff from comment #0)
> We should ensure that only openjdk-7 ends up in unmaintained (wheezy
> contains both 6 and 7 and having both would be a huge maintenance burden).

In UCS 3.2 openjdk is maintained, isn't it?
Comment 2 Moritz Muehlenhoff univentionstaff 2014-10-07 12:12:43 CEST
(In reply to Stefan Gohmann from comment #1)
> (In reply to Moritz Muehlenhoff from comment #0)
> > We should ensure that only openjdk-7 ends up in unmaintained (wheezy
> > contains both 6 and 7 and having both would be a huge maintenance burden).
> 
> In UCS 3.2 openjdk is maintained, isn't it?

openjdk-6 is in maintained and openjdk-7 doesn't exist yet. Wheezy has both and jessie will have only openjdk-7
Comment 3 Stefan Gohmann univentionstaff 2014-10-17 11:28:30 CEST
univention-java now depends on OpenJDK 7: r54486

During the update from 3.2 to 4 OpenJDK 7 is installed and OpenJDK 6 is removed: r54488

The migration can be skipped with the following command:
 ucr set update40/skip/openjdk7=true

Changelog: r54569
Comment 4 Felix Botner univentionstaff 2014-11-03 13:05:36 CET
openjdk-7-jre is installed during even if update40/skip/openjdk7=true is set.

univention-java depends on openjdk-7-jre, icedtea-7-plugin so if 
univention-java is installed openjdk-7-jre regardless of update40/skip/openjdk7.

Maybe we should modify the dependency to 
openjdk-7-jre | openjdk-6-jre, icedtea-7-plugin | icedtea-6-plugin (jdk 7 is not installed during the update but in the postup, unless update40/skip/openjdk7 is true).
Comment 5 Stefan Gohmann univentionstaff 2014-11-03 14:02:11 CET
(In reply to Felix Botner from comment #4)
> openjdk-7-jre is installed during even if update40/skip/openjdk7=true is set.
> 
> univention-java depends on openjdk-7-jre, icedtea-7-plugin so if 
> univention-java is installed openjdk-7-jre regardless of
> update40/skip/openjdk7.
> 
> Maybe we should modify the dependency to 
> openjdk-7-jre | openjdk-6-jre, icedtea-7-plugin | icedtea-6-plugin (jdk 7 is
> not installed during the update but in the postup, unless
> update40/skip/openjdk7 is true).

No, I think we should install openjdk7 in any case. We don't support openjdk6 with UCS 4 but if you set the UCR variable, the updater doesn't try to replace it.
Comment 6 Felix Botner univentionstaff 2014-11-03 14:07:12 CET
OK, removal if OpenJDK 6 can be skipped with update40/skip/openjdk7=true, not the installation of OpenJDK 7. OpenJDK 7 is always the standard in UCS 4.0.

OK - update
OK - changelog
Comment 7 Stefan Gohmann univentionstaff 2014-11-26 06:54:44 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".